summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/doman
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2009-03-29 04:09:11 +0000
committerZac Medico <zmedico@gentoo.org>2009-03-29 04:09:11 +0000
commit1d640618d001dc715d42132c0024457ee428d5b9 (patch)
tree875f54ab63e6972bb11de3f599287103e81fd131 /bin/ebuild-helpers/doman
parentde8d6857a622b83e14ce9b26ae6f4f00da6b671c (diff)
downloadportage-1d640618d001dc715d42132c0024457ee428d5b9.tar.gz
portage-1d640618d001dc715d42132c0024457ee428d5b9.tar.bz2
portage-1d640618d001dc715d42132c0024457ee428d5b9.zip
In order to eliminate the possibility of integer overflay, replace things like
((ret+=$?)) with ((ret|=$?)). Thanks to zong_sharo for the suggestion. svn path=/main/trunk/; revision=13242
Diffstat (limited to 'bin/ebuild-helpers/doman')
-rwxr-xr-xbin/ebuild-helpers/doman6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/ebuild-helpers/doman b/bin/ebuild-helpers/doman
index 48abc39fd..eb1f3114e 100755
--- a/bin/ebuild-helpers/doman
+++ b/bin/ebuild-helpers/doman
@@ -48,14 +48,14 @@ for x in "$@" ; do
fi
install -m0644 "${x}" "${D}/usr/share/man/${mandir}/${name}"
- ((ret+=$?))
+ ((ret|=$?))
elif [[ ! -e ${x} ]] ; then
echo "!!! ${0##*/}: $x does not exist" 1>&2
- ((++ret))
+ ((ret|=1))
fi
else
vecho "doman: '${x}' is probably not a man page; skipping" 1>&2
- ((++ret))
+ ((ret|=1))
fi
done